Eclipse non riesce a trovare JDK 7

Ho Oracle JDK 7 installato i rendimenti di javac -version

 javac 1.7.0 

e JRE è installato e abilitato in Eclipse> Preferenze> JRE installati (Come posizione: /usr/lib/jvm/jdk1.7.0 )

Ma provare a cambiare Preferenze> Compilatore> Livello di conformità del compilatore non mostra opzioni sopra 1.6.0

Sono un novizio di Ubuntu … Qualcuno ha qualche idea su quello che ho sbagliato? Ho seguito le istruzioni di Come installare Oracle Java JDK 7?

Screenshot di eclipse.ini e /usr/lib/jvm/jdk1.7.0:

http://ubuntu.miximages.com/java/Screenshot.png

Devi modificare il tuo file eclipse.ini e devi specificare il tuo percorso jvm lì. Leggi questo link http://wiki.eclipse.org/Eclipse.ini . Ti aiuterà.

Nel caso in cui non lo avessi già provato:

quando apri un progetto devi impostare l’ambiente.

Se l’ambiente era già impostato su 1.6, sarà necessario creare un nuovo progetto con l’ambiente di esecuzione come 1.7 e importarlo.

ambiente eclissi